[Unit]
Description=MyLogstash App Container Service
After=docker.service
Requires=docker.service

[Service]
TimeoutStartSec=0
Restart=always
ExecStartPre=-/usr/bin/docker stop mylogstashapp
ExecStartPre=-/usr/bin/docker rm mylogstashapp
ExecStart=/usr/bin/docker run -p 5044:5044 --rm --name mylogstashapp mylogstash 
ExecStop=/usr/bin/docker stop -t 2 mylogstashapp

[Install]
WantedBy=multi-user.target